
Redmine - Feature #35991

Parent ticket history plugin

2021-10-15 03:42 - Anonymous

Status: Reopened Start date:  

Priority: Normal Due date:  

Assignee:  % Done: 0%

Category: Issues Estimated time: 0.00 hour

Target version:    
Description

Hi there,

I wrote a plugin which extends original issues' features with following:

Leave a parent issue's journal when a parent issue's attributes are updated by modification of it's child issue(s).

Written for Redmine 4.1.

If this UX is built in to original Redmine, I'm happy!

Related issues:

Is duplicate of Redmine - Feature #6033: Allow addition/removal of subtasks t... Closed 2010-08-04

History

#1 - 2021-11-09 06:45 - Go MAEDA

- Status changed from New to Closed

- Resolution set to Duplicate

The same feature is going to be available in the upcoming Redmine 5.0.0. See #6033 for details.

Thank you for suggesting the improvement.

#2 - 2021-11-09 06:45 - Go MAEDA

- Is duplicate of Feature #6033: Allow addition/removal of subtasks to show in parent's history added

#3 - 2021-11-10 06:14 - Bernhard Rohloff

- Status changed from Closed to Reopened

I think Toru's feature request is a different than the changes made in #6033 which only shows the addition or removal of subtasks.

As I understand this here description the plugin Toru attached adds a journal entry if a subtask changes an attribute of the parent issue. So for

example if the due date of the parent issue gets changed by setting the due date a subtask which I think is pretty neat because it makes the behavior

of issues which contain substasks very comprehensible.

#4 - 2021-11-10 06:25 - Anonymous

Thanks. Neat, good word.

#5 - 2022-06-27 12:11 - Toru Haraguchi

I will resign current 32 years of employment as of July 15th and be a freelancer. Suppose I can dedicate some of my rest of time to this project. I will

make this plugin as a patch for the first hand.

#6 - 2022-08-04 10:37 - Toru Haraguchi

- File parent_issue_history.patch added

Attached is the patch edition of this feature. i18n resources are only for ja, en and en-GB.

The original is Redmine 5.0.2.

2024-03-13 1/2

https://www.redmine.org/issues/6033
Files

sws_parent_ticket_history.zip 3.66 KB 2021-10-15 Anonymous

parent_issue_history.patch 3.68 KB 2022-08-04 Toru Haraguchi
